- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.labsExperiments.fetchAgentSession
Gets the session details for an AI agent during a LabsExperiment execution. Use this method to retrieve the history of events and messages in a specific agentic session.
HTTP request
GET https://{endpoint}/v1alpha/{name}:fetchAgentSession
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the LabsExperiment for which the session is retrieved. Format: projects/{project}/locations/{location}/instances/{instance}/labsExperiments/{labsExperiment} |
Query parameters
| Parameters | |
|---|---|
sessionId |
Required. The ID of the session to retrieve. |
afterTimestamp |
Optional. If set, only events after this timestamp will be returned. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Request body
The request body must be empty.
Response body
Response message for labsExperiments.fetchAgentSession method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "sessionId": string, "events": [ { object } ], "lastUpdateTime": string } |
| Fields | |
|---|---|
sessionId |
The ID of the session. |
events[] |
The events in the session. |
lastUpdateTime |
The time the session was last updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.labsExperiments.get
For more information, see the IAM documentation.